swSCTp {oce} | R Documentation

## Salinity from electrical conductivity, temperature and pressure

### Description

Compute salinity based on electrical conductivity, temperature, and pressure.

### Usage

    swSCTp(conductivity, temperature=NULL, pressure=0,
           conductivityUnit=c("ratio", "mS/cm", "S/m"),
           eos=getOption("oceEOS", default="gsw"))

### Arguments

`conductivity` | conductivity ratio, or a CTD object. If a CTD object, then the next 3 arguments are ignored, since the information can be gleaned from the object.
`temperature` | in-situ temperature [degC], defined on the ITS-90 scale; see “Temperature units” in the documentation for `swRho`.
`pressure` | pressure [dbar]
`conductivityUnit` | string indicating the unit used for conductivity; `ratio` means actual conductivity divided by standard conductivity (4.2914 S/m).
`eos` | equation of state, either `"unesco"` or `"gsw"`.

### Details

Calculate salinity from what is actually measured by a CTD, i.e. conductivity, in-situ temperature and pressure. Often this is done by the CTD processing software, but sometimes it is helpful to do this directly, e.g. when there is a concern about mismatches in sensor response times. If `eos="unesco"` then salinity is calculated using the UNESCO algorithm described by Fofonoff and Millard (1983); if it is `"gsw"` then the Gibbs-SeaWater formulation is used, via `gsw_SP_from_C`.

### Value

Practical salinity.

### Author(s)

Dan Kelley

### References

Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp

### See Also

For thermal (as opposed to electrical) conductivity, see `swThermalConductivity`. For computation of electrical conductivity from salinity, see `swCSTp`.

### Examples

    swSCTp(1, T90fromT68(15), 0, eos="unesco") # 35
    swSCTp( 1,            15, 0, eos="gsw") # 35

[Package oce version 0.9-18 Index]